Package org.eclipse.launchbar.core.target

# Interface ILaunchTargetWorkingCopy

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `ILaunchTarget`

public interface ILaunchTargetWorkingCopy extends ILaunchTarget
Working copy to set attributes on a target and then save them.

## Field Summary

### Fields inherited from interface org.eclipse.launchbar.core.target.ILaunchTarget

`ATTR_ARCH, ATTR_OS, NULL_TARGET`

## Method Summary

Modifier and Type
Method
Description
`ILaunchTarget`
`getOriginal()`
Get the original launch target.
`ILaunchTarget`
`save()`
Save the changes to the original working copy.
`void`
`setAttribute(String key, String value)`
Set an attribute.
`void`
`setId(String id)`
Gives the target a new ID.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.launchbar.core.target.ILaunchTarget

`getAttribute, getAttributes, getId, getTypeId, getWorkingCopy`

## Method Details

### getOriginal

ILaunchTarget getOriginal()
Get the original launch target.

Returns:
  the original launch target

### setId

void setId(String id)
Gives the target a new ID. The save method will return a new target with the given name.e

Parameters:
  `id` - new target ID

### setAttribute

void setAttribute(String key, String value)
Set an attribute.

Parameters:
  `key` - key
  `value` - value

### save

ILaunchTarget save()
Save the changes to the original working copy.

Returns:
  original launch target unless the id was changed in which case returns a new target